[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# AnsiReplaceStr

Search and replace all occurrences of a string, case sensitive.

## Declaration

Source position: strutils.pp line 44

`function AnsiReplaceStr(`
`const AText: String;`
`const AFromText: String;`
`const AToText: String`
`):String;`

## Arguments

`AText` |  | String in which to search and replace.
`AFromText` |  | String to search for
`AToText` |  | String to replace with

## Function result

Result of the search and replace operation

## Description

AnsiReplaceString searches AText for all occurrences of the string AFromText and replaces them with AToText, and returns the resulting string. The search is performed observing case.

## Errors

None.

## See also

AnsiReplaceText |  | Search and replace all occurrences of a string, case insensitive.
SearchBuf |  | Search a buffer for a certain string.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.